import React from "react";
export const SingleSelect = ({ items, label, className, selected, setSelected, }) => {
    const handleSelect = (e, value) => {
        e.stopPropagation();
        setSelected(value);
    };
    return (React.createElement("div", { className: className },
        React.createElement("ul", { className: "single-select-list" }, items.map((item, index) => (React.createElement("li", { key: index, onClick: (e) => handleSelect(e, item), className: selected === item ? "selected-item" : "item" }, label ? label : item))))));
};
